;;; This file produces a single compiled xfasl file of lisp modules.
;;; The xfasl file can then be placed on SCOM Environment/Extensions folder

; compile source files
; ensure first that each one compiles ok by manually evaluating each compile-file - check for error messages
; once ok, you can concatenate them

(compile-file "C:\\Program Files\\LispWorks\\sources\\example-module1.lisp")
(compile-file "C:\\Program Files\\LispWorks\\sources\\example-module2.lisp")

; to concatenate the compiled components in a single compiled file, you first need to define a system.
; define system components that consist of the modules
; set pathname accordingly

(defsystem my-compound-modules
        (:default-pathname "C:\\Program Files\\LispWorks\\sources\\sources")
   	:members ("example-module1"
                  "example-module2")
         :rules ((:in-order-to :compile :all (:requires (:load :previous)))))

; concatenate modules to a single xfasl file

(concatenate-system "C:\\Program Files\\LispWorks\\sources\\example-modules-combined.fsl" 
                    'my-compound-modules
                    :force t 
                    :target-directory "C:\\Program Files\\LispWorks\\sources")

;;; testing
;;; copy the "/Applications/LispWorks 5.1/sources/example-modules-combined.fsl" into SCOM Environment/Extensions
;;; restart SCOM
;;; verify that functions on each module work

;(print-something)
;"something" 
;(do-nothing)
;"see, did still something" 
