(eval-when (:compile-toplevel) 
  (let ((*warn-if-redefine* nil))
    (defpackage :symbolic-composer
      (:use :common-lisp :ccl)
      (:nicknames :sc))
      ))

(provide 'mymodule)
(in-package :symbolic-composer)

; supporting macros

(defmacro do-quietly (&body body)
  `(let ((temp diagnose-verbose)
         (return-value nil))
     (handler-case
       (progn
         (setq diagnose-verbose nil)
         (setq return-value (progn ,@body))
         (setq diagnose-verbose temp)
         return-value)
       (error (c)
              (princ "Error. Check parameters.")
              (print c)
              (setq diagnose-verbose temp)
              (abort)))))

; my module begins

(defun print-something ()
	(print "something")
	t)

(defun my-retrograde (l)
	(symbol-retrograde l))

(defun my-quiet-retrograde (l)
	(do-quietly
		(symbol-retrograde l)))

; my module ends
