; drums & percussion 

; sets symbols and their corresponding notes for the drums

(set-tonality mt-32
   b 2               ; a Elec BD
   c 3               ; b Acou BD
   c# 3              ; c Rim Shot
   d 3               ; d Acou SD
   d# 3              ; e Hand Clap
   e 3               ; f Elec SD
   f 3               ; g Acou Low Tom
   f# 3              ; h Clsd Hi Hat
   g# 3              ; i Open Hi Hat 2
   a 3               ; j Acou Mid Tom
   a# 3              ; k Open Hi Hat 1
   c 4               ; l Acou Hi Tom
   c# 4              ; m Crash Cym
   d# 4              ; n Ride Cym
   f# 4              ; o Tambourine
   g# 4              ; p Cowbell
   c 5               ; q High Bongo
   c# 5              ; r Low Bongo
   d 5               ; s Mt High Conga
   d# 5              ; t High Conga
   e 5               ; u Low Conga
   f 5               ; v High Timbale
   f# 5              ; w Low Timbale
   g 5               ; x High Agogo
   g# 5              ; y Low Agogo
   a 5               ; z Cabasa
   a# 5              ; [ Maracas
   b 5               ; \\ Smba Whis S
   c 6               ; ] Smba Whis L
   c# 6              ; ^ Quijada
   d# 6              ; _ Claves
)

; basic chromatic mapping of symbols works in all
; cases but symbols may not match exactly the same
; drum names as in mt-32

(setq drums (activate-tonality (chromatic b 2)))

; tick resolution

; this desribes the accuracy how SCOM produces length symbols
; by default whole-note equals 1920 ticks

(set-whole-note 1920)

; set it to 3840 or more - check your sequencer's tick resolution

; higher value provides increased notation accuracy if you
; are using lots of length symbols such as 8228/28722 etc.

; tick resolution is also saved in the MIDI file that
; SCOM produces - and MIDI software will scale the SCOM MIDI
; file into sequencer's native resolution

; scaling still may introduce small errors, and it is 
; better to use your native resolution

; or you might try setting whole-note value to something
; higher, for example 30720 and try it out how it affects
; complex m/n length subtick generation accuracy

; if you are using standard 1/1 - 1/64 notes with dots and
; triplets they all compile perfect with the 1920 resolution

